## org.apache.fop.fo.pagination
Class RegionBefore

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.pagination.Region
                        |
                        +--org.apache.fop.fo.pagination.RegionBefore

public class RegionBefore
extends Region

Inner Class Summary
`static class` `RegionBefore.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Field Summary
`static java.lang.String` `REGION_CLASS`

Fields inherited from class org.apache.fop.fo.pagination.Region
`PROP_REGION_NAME`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`protected` `RegionBefore(FObj parent, PropertyList propertyList)`

Method Summary
`protected java.lang.String` `getDefaultRegionName()` Returns the default region name (xsl-region-before, xsl-region-start, etc.)
`protected java.lang.String` `getElementName()` Returns the element name ("fo:region-body", "fo:region-start", etc.)
`java.lang.String` `getRegionClass()`
`static FObj.Maker` `maker()`

Methods inherited from class org.apache.fop.fo.pagination.Region
`generatesReferenceAreas, getPageMaster, getRegionName, isReserved`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, getContentWidth, getName, getProperty, layout, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REGION_CLASS

    public static final java.lang.String REGION_CLASS

Constructor Detail

### RegionBefore

    protected RegionBefore(FObj parent,
                           PropertyList propertyList)
                    throws FOPException

Method Detail

### maker

    public static FObj.Maker maker()

### getDefaultRegionName

    protected java.lang.String getDefaultRegionName()

  Description copied from class: Region
  Returns the default region name (xsl-region-before, xsl-region-start, etc.)
  Overrides:
    getDefaultRegionName in class Region

### getElementName

    protected java.lang.String getElementName()

  Description copied from class: Region
  Returns the element name ("fo:region-body", "fo:region-start", etc.)
  Overrides:
    getElementName in class Region

### getRegionClass

    public java.lang.String getRegionClass()

  Overrides:
    getRegionClass in class Region

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.